# Remote Console Component (native js)

Written in pure js. Sends command in ajax request to the server and gets output in the real time.

## Getting Started

Copy files to your loacal machine:
`git clone https://gitlab.com/arkadiusz.kostrzeba/remoteConsole.git`


### Prerequisites

running php server

```
var console = new consoleCmp($('#console'), '/offBuffering.php');
console.sendCommand('');

```
Note that `$` is only wrapper function for document.querySelector not the jQuery object.

### Installing

A step by step series of examples that tell you have to get a development env running

Say what the step will be

```
Give the example
```

And repeat

```
until finished
```

End with an example of getting some data out of the system or using it for a little demo

## Running the tests

Explain how to run the automated tests for this system

### Break down into end to end tests

Explain what these tests test and why

```
Give an example
```

### And coding style tests

Explain what these tests test and why

```
Give an example
```

## Deployment

Add additional notes about how to deploy this on a live system

## Built With

* Pure javascript

## Contributing

Please read [CONTRIBUTING.md](https://gist.github.com/PurpleBooth/b24679402957c63ec426) for details on our code of conduct, and the process for submitting pull requests to us.

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://github.com/your/project/tags). 

## Authors

* **Arkadiusz Kostrzeba** - [website](http://adsr.nazwa.pl)

<!--See also the list of [contributors](https://github.com/your/project/contributors) who participated in this project.-->

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details

## Acknowledgments

* Hat tip to anyone who's code was used
* Inspiration
* etc
